<!--
    Copyright © 2016 - 2020 Stefan Berg <isbeorn86+NINA@googlemail.com> and the N.I.N.A. contributors

    This file is part of N.I.N.A. - Nighttime Imaging 'N' Astronomy.

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.-->
<UserControl
    x:Class="NINA.View.Equipment.Guider.MGenDetailView"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:NINA.View.Equipment.Guider"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:ns="clr-namespace:NINA.Locale"
    d:DesignHeight="450"
    d:DesignWidth="800"
    mc:Ignorable="d">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition Height="Auto" />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Image Source="{Binding Display}" />

        <StackPanel
            Grid.Row="1"
            Margin="0,5,0,5"
            Orientation="Horizontal">
            <TextBlock VerticalAlignment="Center" Text="{ns:Loc LblFocalLength}" />
            <TextBox
                MinWidth="50"
                Margin="5,0,0,0"
                VerticalAlignment="Center"
                VerticalContentAlignment="Center"
                Text="{Binding FocalLength}" />
        </StackPanel>
        <Grid Grid.Row="2">
            <Grid.RowDefinitions>
                <RowDefinition />
                <RowDefinition />
                <RowDefinition />
                <RowDefinition />
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition />
                <ColumnDefinition />
                <ColumnDefinition />
            </Grid.ColumnDefinitions>

            <StackPanel Orientation="Vertical">
                <Button Height="20" Command="{Binding MGenESCCommand}">ESC</Button>
                <Ellipse
                    Width="10"
                    Height="10"
                    Margin="0,5,0,0"
                    Fill="Blue"
                    Stroke="Blue"
                    StrokeThickness="1"
                    Visibility="{Binding LEDBlueActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
            </StackPanel>

            <StackPanel Grid.Column="2" Orientation="Vertical">
                <Button Height="20" Command="{Binding MGenSetCommand}">
                    Set
                </Button>
                <Ellipse
                    Width="10"
                    Height="10"
                    Margin="0,5,0,0"
                    Fill="Green"
                    Stroke="Green"
                    StrokeThickness="1"
                    Visibility="{Binding LEDGreenActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
            </StackPanel>

            <StackPanel
                Grid.Row="1"
                Grid.Column="1"
                Orientation="Vertical">
                <Ellipse
                    Width="10"
                    Height="10"
                    Fill="Red"
                    Stroke="Red"
                    StrokeThickness="1"
                    Visibility="{Binding LEDRedUpActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
                <Button
                    Height="20"
                    Margin="0,5,0,0"
                    Command="{Binding MGenUpCommand}">
                    🡅
                </Button>
            </StackPanel>

            <StackPanel Grid.Row="2" Orientation="Vertical">
                <Ellipse
                    Width="10"
                    Height="10"
                    Fill="Red"
                    Stroke="Red"
                    StrokeThickness="1"
                    Visibility="{Binding LEDRedLeftActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
                <Button
                    Height="20"
                    Margin="0,5,0,0"
                    Command="{Binding MGenLeftCommand}">
                    🡄
                </Button>
            </StackPanel>

            <StackPanel
                Grid.Row="2"
                Grid.Column="3"
                Orientation="Vertical">
                <Ellipse
                    Width="10"
                    Height="10"
                    Fill="Red"
                    Stroke="Red"
                    StrokeThickness="1"
                    Visibility="{Binding LEDRedRightActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
                <Button
                    Height="20"
                    Margin="0,5,0,0"
                    Command="{Binding MGenRightCommand}">
                    🡆
                </Button>
            </StackPanel>

            <StackPanel
                Grid.Row="3"
                Grid.Column="1"
                Orientation="Vertical">
                <Ellipse
                    Width="10"
                    Height="10"
                    Fill="Red"
                    Stroke="Red"
                    StrokeThickness="1"
                    Visibility="{Binding LEDRedDownActive, Converter={StaticResource BooleanToVisibilityCollapsedConverter}}" />
                <Button
                    Height="20"
                    Margin="0,5,0,0"
                    Command="{Binding MGenDownCommand}">
                    🡇
                </Button>
            </StackPanel>
        </Grid>
    </Grid>
</UserControl>